Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1800038 - rubygem-shoulda-matchers: FTBFS in Fedora rawhide/f32
Summary: rubygem-shoulda-matchers: FTBFS in Fedora rawhide/f32
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-shoulda-matchers
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vít Ondruch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-02-06 19:53 UTC by Fedora Release Engineering
Modified: 2020-12-06 03:04 UTC (History)
1 user (show)

Fixed In Version: rubygem-shoulda-matchers-4.1.2-5.fc34 rubygem-shoulda-matchers-4.1.2-4.fc32 rubygem-shoulda-matchers-4.1.2-5.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-27 15:03:35 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2020-02-06 19:53 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2020-02-06 19:53 UTC, Fedora Release Engineering
no flags Details
state.log (1.05 KB, text/plain)
2020-02-06 19:53 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-02-06 19:53:00 UTC
rubygem-shoulda-matchers failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41321560


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix rubygem-shoulda-matchers at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
rubygem-shoulda-matchers will be orphaned. Before branching of Fedora 33,
rubygem-shoulda-matchers will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 19:53:03 UTC
Created attachment 1660781 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2020-02-06 19:53:05 UTC
Created attachment 1660782 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 19:53:06 UTC
Created attachment 1660783 [details]
state.log

Comment 4 Ben Cotton 2020-02-11 16:48:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 5 Fedora Release Engineering 2020-02-16 04:25:36 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 6 Fedora Update System 2020-11-27 14:50:48 UTC
FEDORA-2020-a6df476e7e has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a6df476e7e

Comment 7 Fedora Update System 2020-11-27 15:03:35 UTC
FEDORA-2020-b7b4ee22fa has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-11-27 15:03:58 UTC
FEDORA-2020-78e18462f0 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-78e18462f0

Comment 9 Fedora Update System 2020-11-28 02:55:49 UTC
FEDORA-2020-78e18462f0 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-78e18462f0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-78e18462f0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-11-28 03:04:27 UTC
FEDORA-2020-a6df476e7e has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-a6df476e7e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a6df476e7e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-12-06 02:54:01 UTC
FEDORA-2020-a6df476e7e has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-12-06 03:04:49 UTC
FEDORA-2020-78e18462f0 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.